import { TCommonsAiTrainingStats } from '../types/tcommons-ai-training-stats';
import { TCommonsAiQuality } from '../types/tcommons-ai-quality';
import { ICommonsAiModelPredictable } from './icommons-ai-model-predictable';
export interface ICommonsAiModelTrainable<I, O> extends ICommonsAiModelPredictable<I, O> {
    build(): Promise<void>;
    train(): Promise<TCommonsAiTrainingStats>;
    test(): Promise<TCommonsAiQuality>;
}
